# Roadmap

This is the tenative roadmap for DJL through 2021. If there is something you feel is missing from this roadmap, please [raise an issue](https://github.com/deepjavalibrary/djl/issues) so we can discuss it.

- **Quarkus Integration** - Integrate with Quarkus where users can get a smaller memory profile and faster startup time
- **Big Data Ecosystem Integration** - Better integration with the JVM Big Data libraries including Apache Spark
- **Dive into Deep Learning** - Continue adapting the Dive into Deep Learning book to Java and DJL
- **Model Zoo Enhancement** - Improve the Model Zoo design to promote the standardization and ecosystem of Translators
- **New Models**
  - **NLP** - Include new NLP models that can be used out of the box on various applications
  - **Tabular** - Create standard tabular models and improve the creation and use of tabular datasets
  - **RL** - Add new models for reinforcement learning and add RL specific improvements to the DJL API
  - **GAN** - Create initial GAN support
